msgpack::fbuffer Class Reference

`#include <fbuffer.hpp>`

## Public Member Functions

| fbuffer (FILE *file)
void | write (const char *buf, unsigned int len)
FILE * | file () const
| fbuffer (const fbuffer &)=delete
fbuffer & | operator= (const fbuffer &)=delete

## Constructor & Destructor Documentation

## fbuffer() [1/2]

msgpack::fbuffer::fbuffer | ( | FILE * | file | ) |

inline explicit

Referenced by file().

## fbuffer() [2/2]

msgpack::fbuffer::fbuffer | ( | const fbuffer & |  | ) |

delete

## Member Function Documentation

## file()

FILE* msgpack::fbuffer::file | ( |  | ) | const

inline

References fbuffer(), and operator=().

## operator=()

fbuffer& msgpack::fbuffer::operator= | ( | const fbuffer & |  | ) |

delete

Referenced by file().

## write()

void msgpack::fbuffer::write | ( | const char * | buf,
|  | unsigned int | len
| ) |  |

inline

The documentation for this class was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/fbuffer.hpp